about summary refs log tree commit diff
path: root/test/pnmtile.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/pnmtile.test')
-rwxr-xr-xtest/pnmtile.test12
1 files changed, 12 insertions, 0 deletions
diff --git a/test/pnmtile.test b/test/pnmtile.test
new file mode 100755
index 00000000..b0c14ca6
--- /dev/null
+++ b/test/pnmtile.test
@@ -0,0 +1,12 @@
+#! /bin/bash
+# This script tests: pnmtile
+# Also requires: pnmcat
+
+${PBM_TESTPREFIX}pnmtile 40 50 testgrid.pbm | cksum
+
+${PBM_TESTPREFIX}pnmtile 454 298 testimg.ppm > ${tmpdir}/testimg4.ppm &&
+${PBM_BINPREFIX}pnmcat -lr testimg.ppm testimg.ppm > ${tmpdir}/testimg2.ppm &&
+${PBM_BINPREFIX}pnmcat -tb ${tmpdir}/testimg2.ppm ${tmpdir}/testimg2.ppm | \
+diff - ${tmpdir}/testimg4.ppm && echo $?
+
+rm ${tmpdir}/testimg{2,4}.ppm